For the complete documentation index, see llms.txt. This page is also available as Markdown.

Dataset Metadata

List Datasets

get

List all published datasets a user has access to

See list of available datasets here: https://www.gridstatus.io/datasets

Query parameters
api_keystring · nullableOptional

API key for authentication (query)

return_formatstring · enumOptional

The return format of the response

Default: jsonPossible values:
downloadbooleanOptional

Whether to download the file or not

Default: false
json_schemastring · enumOptional

The json schema of the response

Default: array-of-objectsPossible values:
Header parameters
x-api-keystring · nullableOptional

API key for authentication (header)

Responses
200

Successful response

application/json
status_codeintegerRequired
get/datasets
GET /v1/datasets HTTP/1.1
Host: api.gridstatus.io
Accept: */*
{
  "status_code": 200,
  "data": [
    {
      "id": "caiso_as_prices",
      "name": "CAISO AS Prices",
      "description": "Ancillary Services Prices as reported by CAISO.\n\n**AS Mapping**\n\nThe *_EXP show only the intertie resources.\n \n-    AS_SP26_P: Resources in AS_SP26\n-    AS_NP26_P: Resources in AS_NP26\n-    AS_SP15_P: Resources in AS_SP15\n-    AS_NP15_P: Resources in AS_NP15\n-    AS_SP26_EXP_P: Resources in AS_SP26_EXP which are not in AS_SP26\n-    AS_NP26_EXP_P: Resources in AS_NP26_EXP which are not in AS_NP26\n-    AS_SP15_EXP_P: Resources in AS_SP15_EXP which are not in AS_SP15\n-    AS_NP15_EXP_P: Resources in AS_NP15_EXP which are not in AS_NP15\n-    AS_CAISO_NP26_P: Resources in AS_CAISO which are not in AS_SP26\n-    AS_CAISO_SP26_P: Resources in AS_CAISO which are not in AS_NP26\n-    AS_CAISO_NP15_P: Resources in AS_CAISO which are not in AS_SP15\n-    AS_CAISO_SP15_P: Resources in AS_CAISO which are not in AS_NP15",
      "earliest_available_time_utc": "2010-01-01T08:00:00+00:00",
      "latest_available_time_utc": "2025-05-20T06:00:00+00:00",
      "source": "caiso",
      "last_checked_time_utc": "2025-05-19T19:10:58+00:00",
      "primary_key_columns": [
        "interval_start_utc",
        "region",
        "market"
      ],
      "time_index_column": "interval_start_utc",
      "subseries_index_column": "region",
      "all_columns": [
        {
          "name": "interval_start_utc",
          "type": "TIMESTAMP",
          "is_numeric": false,
          "is_date": false,
          "is_datetime": true
        },
        {
          "name": "interval_end_utc",
          "type": "TIMESTAMP",
          "is_numeric": false,
          "is_date": false,
          "is_datetime": true
        },
        {
          "name": "region",
          "type": "VARCHAR",
          "is_numeric": false,
          "is_date": false,
          "is_datetime": false
        },
        {
          "name": "market",
          "type": "VARCHAR",
          "is_numeric": false,
          "is_date": false,
          "is_datetime": false
        },
        {
          "name": "non_spinning_reserves",
          "type": "DOUBLE PRECISION",
          "is_numeric": true,
          "is_date": false,
          "is_datetime": false
        },
        {
          "name": "regulation_down",
          "type": "DOUBLE PRECISION",
          "is_numeric": true,
          "is_date": false,
          "is_datetime": false
        },
        {
          "name": "regulation_mileage_down",
          "type": "DOUBLE PRECISION",
          "is_numeric": true,
          "is_date": false,
          "is_datetime": false
        },
        {
          "name": "regulation_mileage_up",
          "type": "DOUBLE PRECISION",
          "is_numeric": true,
          "is_date": false,
          "is_datetime": false
        },
        {
          "name": "regulation_up",
          "type": "DOUBLE PRECISION",
          "is_numeric": true,
          "is_date": false,
          "is_datetime": false
        },
        {
          "name": "spinning_reserves",
          "type": "DOUBLE PRECISION",
          "is_numeric": true,
          "is_date": false,
          "is_datetime": false
        }
      ],
      "number_of_rows_approximate": 621445,
      "table_type": "table",
      "is_in_snowflake": true,
      "data_frequency": "1_HOUR",
      "source_url": "http://oasis.caiso.com/mrioasis/logon.do",
      "is_published": true,
      "created_at_utc": "2023-04-20T07:00:37.935862Z",
      "status": "active",
      "popularity_rank": 46
    },
    {
      "id": "spp_ver_curtailments",
      "name": "SPP VER Curtailments",
      "description": "VER curtailment data in 5 minute intervals for SPP.\nTotal VER curtailment (not per resource).",
      "earliest_available_time_utc": "2014-03-01T06:00:00+00:00",
      "latest_available_time_utc": "2025-05-19T04:55:00+00:00",
      "source": "spp",
      "last_checked_time_utc": "2025-05-19T19:12:06+00:00",
      "primary_key_columns": [
        "interval_start_utc"
      ],
      "time_index_column": "interval_start_utc",
      "all_columns": [
        {
          "name": "interval_start_utc",
          "type": "TIMESTAMP",
          "is_numeric": false,
          "is_date": false,
          "is_datetime": true
        },
        {
          "name": "interval_end_utc",
          "type": "TIMESTAMP",
          "is_numeric": false,
          "is_date": false,
          "is_datetime": true
        },
        {
          "name": "wind_redispatch_curtailments",
          "type": "DOUBLE PRECISION",
          "is_numeric": true,
          "is_date": false,
          "is_datetime": false
        },
        {
          "name": "wind_manual_curtailments",
          "type": "DOUBLE PRECISION",
          "is_numeric": true,
          "is_date": false,
          "is_datetime": false
        },
        {
          "name": "wind_curtailed_for_energy",
          "type": "DOUBLE PRECISION",
          "is_numeric": true,
          "is_date": false,
          "is_datetime": false
        },
        {
          "name": "solar_redispatch_curtailments",
          "type": "DOUBLE PRECISION",
          "is_numeric": true,
          "is_date": false,
          "is_datetime": false
        },
        {
          "name": "solar_manual_curtailments",
          "type": "DOUBLE PRECISION",
          "is_numeric": true,
          "is_date": false,
          "is_datetime": false
        },
        {
          "name": "solar_curtailed_for_energy",
          "type": "DOUBLE PRECISION",
          "is_numeric": true,
          "is_date": false,
          "is_datetime": false
        }
      ],
      "number_of_rows_approximate": 1141332,
      "table_type": "table",
      "is_in_snowflake": true,
      "data_frequency": "5_MINUTES",
      "source_url": "https://marketplace.spp.org/pages/ver-curtailments",
      "is_published": true,
      "created_at_utc": "2023-05-17T17:21:02.118072Z",
      "status": "active"
    }
  ],
  "meta": {
    "page": 1
  },
  "dataset_metadata": {
    "resample_conversion": {
      "1_MINUTE": 60,
      "5_MINUTES": 300,
      "15_MINUTES": 900,
      "1_HOUR": 3600,
      "1_DAY": 86400,
      "1_DAY_MARKET": 86400,
      "1_WEEK": 604800,
      "1_MONTH": 2592000,
      "1_YEAR": 31536000,
      "IRREGULAR": -1
    }
  }
}

Get Dataset Metadata

get

Get a dataset and its metadata

Path parameters
dataset_idstringRequired
Query parameters
api_keystring · nullableOptional

API key for authentication (query)

return_formatstring · enumOptional

The return format of the response

Default: jsonPossible values:
downloadbooleanOptional

Whether to download the file or not

Default: false
json_schemastring · enumOptional

The json schema of the response

Default: array-of-objectsPossible values:
Header parameters
x-api-keystring · nullableOptional

API key for authentication (header)

Responses
200

Successful response

application/json
idstringRequired
namestringRequired
descriptionstring · nullableRequired
earliest_available_time_utcstring · date-time · nullableRequired
latest_available_time_utcstring · date-time · nullableRequired
sourcestring · nullableRequired
last_checked_time_utcstring · date-time · nullableRequired
primary_key_columnsstring[] · nullableRequired
publish_time_columnstring · nullableRequired
time_index_columnstring · nullableRequired
subseries_index_columnstring · nullableRequired
number_of_rows_approximateinteger · nullableRequired
table_typestring · nullableRequired
is_in_snowflakeboolean · nullableRequired
data_frequencystring · nullableRequired
source_urlstring · nullableRequired
publication_frequencystring · nullableRequired
is_publishedboolean · nullableRequired
created_at_utcstring · date-time · nullableRequired
statusstring · enum · nullableRequiredPossible values:
popularity_rankinteger · nullableOptional
get/datasets/{dataset_id}
GET /v1/datasets/{dataset_id} HTTP/1.1
Host: api.gridstatus.io
Accept: */*
{
  "id": "ercot_lmp_by_bus",
  "name": "ERCOT LMP By Bus",
  "description": "The Locational Marginal Price for each Electrical Bus in ERCOT,\nnormally produced by SCED every five minutes. \n\nThe location type present is:\n\n- *Electrical Bus*\n\nSee list of available locations\nby using the `ercot_electrical_buses` dataset.",
  "earliest_available_time_utc": "2020-01-01T06:00:26Z",
  "latest_available_time_utc": "2025-05-19T19:25:12Z",
  "source": "ercot",
  "last_checked_time_utc": "2025-05-19T19:25:59.143841Z",
  "primary_key_columns": [
    "sced_timestamp_utc",
    "location"
  ],
  "time_index_column": "sced_timestamp_utc",
  "subseries_index_column": "location",
  "all_columns": [
    {
      "name": "sced_timestamp_utc",
      "type": "TIMESTAMP",
      "is_numeric": false,
      "is_date": false,
      "is_datetime": true
    },
    {
      "name": "market",
      "type": "VARCHAR",
      "is_numeric": false,
      "is_date": false,
      "is_datetime": false
    },
    {
      "name": "location",
      "type": "VARCHAR",
      "is_numeric": false,
      "is_date": false,
      "is_datetime": false
    },
    {
      "name": "location_type",
      "type": "VARCHAR",
      "is_numeric": false,
      "is_date": false,
      "is_datetime": false
    },
    {
      "name": "lmp",
      "type": "DOUBLE PRECISION",
      "is_numeric": true,
      "is_date": false,
      "is_datetime": false
    }
  ],
  "number_of_rows_approximate": 8444429824,
  "table_type": "table",
  "is_in_snowflake": true,
  "data_frequency": "ERCOT_SCED_RUN",
  "source_url": "https://www.ercot.com/mp/data-products/data-product-details?id=NP6-787-CD",
  "is_published": true,
  "created_at_utc": "2023-10-10T17:37:45.625368Z",
  "status": "active",
  "popularity_rank": 46
}

Last updated

Was this helpful?